Ben
Burton
12 avril 2003
kapptemplate
1

# `kapptemplate`

Crée une structure pour développer une application KDE

    kapptemplate --noinit --default --full-app --kpart-app --kpart-plugin --existing --help

## Description

`kapptemplate` est un script shell qui va créer la structure nécessaire au développement d'applications &kde;. Il prend en compte le code de autoconf/automake et fournit également un squelette et un exemple de ce à quoi le code ressemble typiquement.

Cet utilitaire fait partie du kit de développement de logiciels de &kde;.

## Options

### Options générales

`--help`

  Affiche un résumé complet des options.

`--no-init`

  N'exécute pas `make` `-f` `Makefile.cvs`

`--default`

  Utilise les valeurs par défaut au lieu de les demander.

### Types de structures

`--full-app`

  Crée une application KDE complète

`--kpart-app`

  Crée une application KPart complète

`--kpart-plugin`

  Crée une structure de module externe KPart

`--existing`

  Convertit des sources existants en une structure KDE basée sur autoconf/automake.

## Fichiers

`~/.kapptemplate`

  Stocke les valeurs par défaut

## Voir également

`$PREFIX/share/doc/kapptemplate`

## Auteurs

`kapptemplate` a été écrit par &Kurt.Granroth;, &Kurt.Granroth.mail;

Cette page de manuel a été préparée par Ben Burton bab@debian.org